#!/bin/env node

var semver = require('semver');

var result;

function maxSatisfying(versions, range) {
    versions = versions.split(',');
    versions.forEach(function(version, index,versions){
        versions[index] = semver.coerce(version).version
    });
    result = semver.maxSatisfying(versions, range)
}

function satisfies(version, range) {
    //versions = versions.split(',');
    result = semver.satisfies(version, range)
}

function normalize(version) {
    result = semver.coerce(version).version
}


switch (process.argv[2]) {
    case 'max-satisfying':
        maxSatisfying(process.argv[3], process.argv[4]);
        break;
    case 'is-satisfied':
    	satisfies(process.argv[3], process.argv[4]);
    	break;
    case 'normalize':
        normalize(process.argv[3]);
        break;
    default:
        console.log('please select the option')
}

console.log(result);