#!/usr/bin/python
#!https://www.npmjs.com/package/semver
import subprocess
import pathlib
abs_path = pathlib.Path(__file__).parent.absolute()
import os

#to run, first install semver locally (next to this script):
#npm install semver

#the script also requries that you have semver.js script next to it

def max_satisfying(versions, semver):
    #normalize = subprocess.check_call(["node", "semver.js","normalize", version])
    max = subprocess.check_output(["node", os.path.join(abs_path, "semver.js"),"max-satisfying", versions, semver]).strip().decode('ascii')
    return max

def is_satisfying(version, semver):
    #normalize = subprocess.check_call(["node", "semver.js","normalize", version])
    satisfied = subprocess.check_output(["node", os.path.join(abs_path,"semver.js"),"is-satisfied", version, semver]).strip().decode('ascii')
    return satisfied

# _version = "3.7.8"
# _semver = "~2.7"
# a = is_satisfying(_version, _semver)
# print(a)
